<?php 
// Определение констант минимальных требований к системе
define('PHP_version', '4.3.10');
define('MySQL_version', '4.0.0');
define('GD_version', '2.0');
define('Data_limit', '2');
define('TIME_limit', '30');
define('DISC_space', '30');
define('RAM_space', '8');
define('SAFE_MODE', 'Отключено');
define('REGISTER_GLOBALS', 'Отключено');
define('MAGIC_QUOTES_GPC', 'Отключено');
define('DUMP_file_40', 'dump_40.sql');
define('DUMP_file_41', 'dump_41.sql');
define('LICENCE_file', 'licence.txt');
define('CONFIG_db', '../config_db.php');
define('XSLT', 'Поддерживается');
define('ZendOptimizer', 'Установлен');

/* Права на доступ к файлам */
define('FILE_MODE', 644);

/* Права на доступ к директориям */
define('DIR_MODE', 755);

ini_set('display_errors', 1);

error_reporting(E_ALL);

/**
 * Удаляем непустую директорию
 *
 * @param string $directory
 * @return int
 */
function removeDirectory($directory)
{
	$dir = @opendir($directory);
	while ($file = @readdir($dir))
	{
		if (@is_file($directory . '/' . $file))
		{
			@unlink($directory . '/' . $file);
		}
		elseif (@is_dir($directory . '/' . $file) && ($file != ".") && ($file != '..'))
		{
			removeDirectory($directory . '/' . $file);
		}
	}
	@closedir($dir);
	return @rmdir($directory);
}

/**
 * Удаление всех таблиц текущего соединения
 *
 * @return boolean
 */
function Show_DropTables()
{
	// Выводим список таблиц базы данных, не являющихся временными
	$res = @mysql_query("SHOW TABLES");

	if (mysql_num_rows($res))
	{
		// Удаляем все таблицы из списка
		while ($rs = mysql_fetch_row($res))
		{
			mysql_query("DROP TABLE " . $rs[0]);
		}

		// Очищаем память связанную с переменной $res
		mysql_free_result($res);

		unset($rs);
		return true;
	}
	else
	{
		return false;
	}
}

/**
 * Выполняем все запросы из DUMPа. Перед началом выполнения запросов дампа необходимо удалить из него заголовок
 *
 * @param string $file путь к файлу
 * @return boolean
 */
function Exec_Dump($file)
{
	@Show_DropTables();

	$fp = fopen ($file, "r");
	while (!feof ($fp))
	{
		// Читаем строку из файла и удаляем из неё символы \t\n
		$str = chop (fgets($fp, 65536));
		if (strlen($str))
		{
			// Собираем запрос разделённый на несколько строк
			while (substr($str, strlen($str)-1, 1) <> ";" && substr($str, 0, 1) <> "#" && substr($str, 0, 2) <> "--")
			$str .= chop (fgets($fp, 65536));

			// Если не комментарии
			if (substr($str, 0, 1) <> "#" && substr($str, 0, 2) <> "--")
			{
				if (!@mysql_query($str))
				{
					echo "<br>Ошибка выполнения запроса " . mysql_errno() . ": " . mysql_error() . "\n";
					return false;
				}
			}
		}
	}
	fclose ($fp);
	return true;
}

/**
 * Версия GD
 *
 * @return string
 */
function GetGDVersion()
{
	ob_start();

	phpinfo(8);

	$phpinfo = ob_get_clean();

	$phpinfo = stristr($phpinfo, "gd version");

	$phpinfo = stristr($phpinfo, "version");

	$end = strpos($phpinfo, "</tr>");

	if ($end) $phpinfo = substr($phpinfo, 0, $end);
	$phpinfo = strip_tags($phpinfo);

	if (ereg(".*([0-9]+)\.([0-9]+)\.([0-9]+).*", $phpinfo, $r))
	{
		$phpinfo = $r[1] . "." . $r[2] . "." . $r[3];
	}
	elseif (ereg(".*([0-9]+)\.([0-9]+).*", $phpinfo, $r))
	{
		$phpinfo = $r[1] . "." . $r[2];
	}
	else
	{
		$phpinfo = 0;
	}

	return $phpinfo;
}

/**
 * Соединение с базой данных
 *
 * @param string $db_host
 * @param string $db_user_name
 * @param string $db_password
 * @return int
 */
function db_connect($db_host, $db_user_name, $db_password)
{
	$db_host = trim($db_host);
	$db_user_name = trim($db_user_name);
	//$db_password = trim($db_password);

	// Соединение с БД
	$DB = @mysql_connect($db_host, $db_user_name, $db_password);
	$result = true;
	if (!$DB)
	{
		return false;
	}
	else
	{
		mysql_query ("SET NAMES cp1251");
		mysql_query ("SET SESSION character_set_results=cp1251");
		mysql_query ("SET collation_connection='cp1251_general_ci'");
		mysql_query ("SET character_set_results='cp1251'");
		mysql_query ("SET character_set_client='cp1251'");

		return $DB;
	}
}

/**
 * Выбор базы данных
 *
 * @param string $db
 * @param string $db_name
 * @return boolean
 */
function select_base($db, $db_name)
{
	$db_name = trim($db_name);

	// Выбираем БД
	if (!@mysql_select_db($db_name, $db))
	{
		return false;
	}
	else return true;
}

// Создаём новую базу данных
function create_base($db_name)
{
	// Выбираем БД
	if (!@mysql_query('CREATE DATABASE IF NOT EXISTS ' . $db_name))
	{
		return false;
	}
	else
	{
		return true;
	}
}

// Принимаем параметры базы данных и формируем из них текст для записи в файл
function check_base_param()
{
	if (isset($_POST['host']) && isset($_POST['user']) && isset($_POST['password']) && isset($_POST['database']))
	{
		return
		"<?php "
		. chr(13). chr(10) . "define('DB_USER_NAME','" . trim($_POST['user']) . "');"
		. chr(13). chr(10) . "define('DB_PASSWORD','" . $_POST['password'] . "');"
		. chr(13). chr(10) . "define('DB_HOST','" . trim($_POST['host']) . "');"
		. chr(13). chr(10) . "define('DB_NAME','" . trim($_POST['database']) . "'); "
		. chr(13). chr(10) . "?>";
	}
	else
	{
		return false;
	}
}

// Сохраняем текст в файл
function SaveToFile($filename, $text)
{
	$fd = @fopen($filename, "w+");
	if ($fd)
	{
		$result = @fwrite ($fd, $text) && @fclose ($fd);
		@chmod($filename, 0777);
		return $result;
	}
	else
	{
		return false;
	}
}

/**
 * Устанавливает рекурсивно права на директории и файлы
 *
 * @param string $path
 * @param string $filemode
 * @param string $dirmode
 */
function set_chmod($path, $filemode, $dirmode)
{
	/* Если это файл */
	if (!is_dir($path))
	{
		return chmod($path, $filemode);
	}

	/* Получаем дескриптор каталога */
	$dh = @opendir($path);

	if ($dh)
	{
		/* Читаем каталог */
		while ($file = readdir($dh))
		{
			if ($file != '.' && $file != '..')
			{
				$fullpath = $path.'/'.$file;

				/* Если это файл */
				if (!is_dir($fullpath))
				{
					@chmod($fullpath, $filemode);
				}
				else
				{
					@chmod($fullpath, $dirmode);

					/* Вызываем рекурсивно */
					set_chmod($fullpath, $filemode, $dirmode);
				}
			}
		}

		closedir($dh);
	}

	/* Права на саму директорию */
	return @chmod($path, $dirmode);
}

function showbullet($level, $text)
{
	$level = intval($level);

	switch ($level)
	{
		case 2:
			{
				$img = 'bullet_red.gif';
				break;
			}
		case 1:
			{
				$img = 'bullet_orange.gif';
				break;
			}
		case 0:
			{
				$img = 'bullet_green.gif';
				break;
			}
		default:
			{
				$img = 'bullet_black.gif';
				break;
			}
	}
	?>
	<div style="background: url('images/<?php echo $img?>') no-repeat 0px 50%; padding-left: 15px"><?php echo $text?></div>
	<?php 
}

function head_title($title)
{
?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title><?php echo $title?></title>
<meta http-equiv="Content-Language" content="ru">
<meta content="text/html; charset=windows-1251" http-equiv=Content-Type>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<!-- Шапка сайта -->
<div id="header">

	<!-- Левый блок шапки админки -->
	<div class="left_box">

		<div class="logo">
			<a href="/install/"><img src="images/logo.gif" alt="(^) HostCMS" title="HostCMS"/></a>
		</div>
		
	</div>
		
	 </div>
</div>

<!-- Контент -->
<div id="body">

	<!-- Левый блок -->
	<div class="left_box" id="body_left_box" style="margin-right: 0px; border-right: 0px;">
	
		<div style="padding-right: 30px">

		<h1><?php echo $title?></h1>
		
<?php 
}

function bottom_title()
{
	?>
	
		</div>
	</div>
   
	<!-- Правый блок -->
	<div class="right_box">
	
	</div>

</div>

<div id="footer">
	<div>Copyright &copy; 2005&mdash;2009 <span>ООО &laquo;Хостмэйк&raquo;</span></div>
</div>
	
</body>
</html>
<?php 
}
if (isset($_POST['start']) && !isset($_POST['step0']))
{
	removeDirectory('../install');

	// Редирект на главную страницу
	header('Location: ../');
	exit();
}
if (isset($_POST['step1']) || (isset($_POST['step2']) && !isset($_POST['license_agree'])))
{
	head_title('Шаг 2: Лицензионное соглашение');

	if ((isset($_POST['step2']) && !isset($_POST['license_agree'])))
	{
	?>
	<div id="error_message">
	Для продолжения установки Вам необходимо принять условия лицензионного соглашения!
	</div>
	<?php 
	}
	?>
	<form method="POST" action="index.php">
		<div style="height: 350px; width: 100%; overflow: auto; border: 1px solid #E1E1E1; padding: 5px">
			<?php echo nl2br(@file_get_contents(LICENCE_file))?>
		</div>
		
		<p>
		<input type="checkbox" class="input_not_border" name="license_agree" value="on" id="license_agree_id">
		<label for="license_agree_id">Я согласен с условиями лицензионного соглашения</label>
		</p>
	
		<div style="float: right">
		<input name="step2" value="Далее" type="submit" class="next" />
		</div>
	</form>
<?php 
bottom_title();
exit();
}

if ((isset($_POST['step2']) && isset($_POST['license_agree']) && ($_POST['license_agree'] = 'on')))
{
	head_title('Шаг 3: Проверка соответствия параметров системы');

	?>
	<form method="POST" action="index.php">
	<table border="0" cellspacing="2" cellpadding="5">
	<tr class="admin_table_title">
	<td width="350"><strong>Параметр</strong></td>
	<td width="140"><strong>Требуется</strong></td>
	<td width="140"><strong>Имеется</strong></td>
	</tr>
	<tr class="row_table">
	<td>PHP версия:</td>
	<td><?php echo PHP_version?></td>
	<td>
	<?php 
	$php = phpversion()
	? phpversion()
	: 'Не определено';
	?>
	<?php showbullet(version_compare(phpversion(), PHP_version, ">=") ? 0 : 2, $php)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>GD версия:</td>
	<td><?php echo GD_version?></td>
	<td>
	<?php 
	$gd = GetGDVersion()
	? GetGDVersion()
	: 'Не определено';
	?>
	<?php showbullet(version_compare(GetGDVersion(), GD_version, ">=") ? 0 : 2, $gd)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Максимальный размер загружаемых данных:</td>
	<td><?php echo Data_limit?>М</td>
	<td>
	<?php 
	$d_l = ini_get('post_max_size')
	? ini_get('post_max_size')
	: 'Не определено';
	?>
	<?php showbullet(($d_l != 'Не определено' && $d_l >= Data_limit) ? 0 : 2, $d_l)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Максимальное время исполнения:</td>
	<td><?php echo TIME_limit?> сек.</td>
	<td>
	<?php 
	$t_l = ini_get('max_execution_time')
	? ini_get('max_execution_time')
	: 'Не определено';
	?>
	<?php showbullet(($t_l != 'Не определено' && $t_l >= TIME_limit) ? 0 : 2, ($t_l != 'Не определено') ? $t_l.' сек.' : $t_l)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Путь сохранения сессий:</td>
	<td colspan="2">
	<?php showbullet(0, session_save_path())?>
	</td>
	</tr>
	<!--
	<tr class="row_table">
	<td>Директория для временных файлов:</td>
	<td colspan="2">
	<?php (strlen(trim(ini_get("upload_tmp_dir"))) > 0)
	? showbullet(0, ini_get("upload_tmp_dir"))
	: showbullet(1, 'Не определена')?>
	</td>
	</tr>
	-->
	<tr class="row_table">
	<td>Дисковое пространство:</td>
	<td><?php echo DISC_space?>M</td>
	<td>
	<?php 
	$d_s = disk_free_space($_SERVER['DOCUMENT_ROOT'])
	? round(disk_free_space($_SERVER['DOCUMENT_ROOT']) / 1024 / 1024, 2)
	: 'Не определено';
	?>
	<?php showbullet(($d_s != 'Не определено' && $d_s >= DISC_space) ? 0 : 2, ($d_s != 'Не определено') ? $d_s.'М' : $d_s)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Объём памяти:</td>
	<td><?php echo RAM_space?>M</td>
	<td>
	<?php 
	$r_s = ini_get('safe_mode')
	? ini_get('safe_mode')
	: 'Не определено';
	?>
	<?php showbullet(($r_s != 'Не определено' && $r_s >= RAM_space)? 0 : ($r_s != 'Не определено') ? 2 : 1, ($r_s != 'Не определено') ? $r_s.'М' : $r_s)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Защищённый режим (SAFE_MODE):</td>
	<td><?php echo SAFE_MODE?></td>
	<td>
	<?php 
	$s_m = (ini_get('safe_mode') == 1)
	? 'Включено'
	: 'Отключено';
	?>
	<?php showbullet(($s_m == SAFE_MODE) ? 0 : 1, $s_m)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>REGISTER_GLOBALS:</td>
	<td><?php echo REGISTER_GLOBALS?></td>
	<td>
	<?php 
	$r_g = (ini_get('register_globals') == 1)
	? 'Включено'
	: 'Отключено';
	?>
	<?php showbullet(($r_g == REGISTER_GLOBALS) ? 0 : 1, $r_g)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>MAGIC_QUOTES_GPC:</td>
	<td><?php echo MAGIC_QUOTES_GPC?></td>
	<td>
	<?php 
	$m_q = (ini_get('magic_quotes_gpc') == 1)
	? 'Включено'
	: 'Отключено';
	?>
	<?php showbullet(($m_q == MAGIC_QUOTES_GPC) ? 0 : 1, $m_q)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Поддержка XSLT:</td>
	<td><?php echo XSLT?></td>
	<td>
	<?php 
	$xslt = (function_exists('xslt_create')
	|| function_exists('domxml_xslt_stylesheet')
	|| (class_exists('DomDocument') && class_exists('XsltProcessor')))
	? XSLT
	: 'Не поддерживается';
	?>
	<?php showbullet(($xslt == XSLT) ? 0 : 2, $xslt)?>
	</td>
	</tr>
	<tr class="row_table">
	<td>Наличие ZendOptimizer:</td>
	<td><?php echo ZendOptimizer?></td>
	<td>
	<?php 
	$z_o = (function_exists('zend_loader_enabled') && zend_loader_enabled())
	? 'Установлен'
	: 'Не установлен';
	?>
	<?php showbullet(($z_o == ZendOptimizer) ? 0 : 2, $z_o)?>
	</td>
	</tr>
	</table>
	
	<p>
	<?php showbullet(0, "Параметр соответствует.")?>
	<?php showbullet(1, "Несоответствие, не влияющее на функционирование системы.")?>
	<?php showbullet(2, "Параметр не соответствует.")?>
	</p>
	
	<div style="float: right">
	<input name="step3" value="Далее" type="submit" class="next" />
	</div>
</form>

<?php 
bottom_title();
exit();
}
if (isset($_POST['step3']) || isset($_POST['step5']))
{
	head_title('Шаг 4: Параметры базы данных');

	?>
	<form method="POST" action="index.php" enctype="multipart/form-data">
	<table border="0" width="650" cellpadding="2" cellspacing="2">
	<tr class="admin_table_title">
		<td colspan="2">
			Параметры доступа
		</td>
	</tr>
	<tr class="row_table"> 
		<td>
			Права доступа к файлам:
		</td>
		<td>
			<input type="text" name="file_mode" size="3" value="<?php echo FILE_MODE?>">
			<small>(например <?php echo FILE_MODE?>)</small>
		</td>
	</tr>
	<tr class="row_table"> 
		<td>
			Права доступа к директориям:
		</td>
		<td>
			<input type="text" name="dir_mode" size="3" value="<?php echo DIR_MODE?>">
			<small>(например <?php echo DIR_MODE?>)</small>
		</td>
	</tr>
	<tr class="admin_table_title">
		<td colspan="2">
			Параметры базы данных
		</td>
	</tr>
	<tr class="row_table"> 
		<td>
			MySQL cервер:
		</td>
		<td>
			<input type="text" name="host" size="30" value="">
			<br /><small>(например, localhost)</small>
		</td>
	</tr>
	<tr class="row_table"> 
		<td>
			Логин для базы данных:</td>
		<td>
			<input type="text" name="user" size="30" value="">
		</td>
	</tr>
	<tr class="row_table"> 
		<td>
			Пароль для базы данных:
		</td>
		<td>
			<input type="password" name="password" size="30" value="">
		</td>	
	</tr>
	<tr class="row_table"> 
		<td align="left" valign="top">База данных MySQL:</td>
		<td valign="top">
			<input type="text" name="database" size="30" value="">
			<br /><div id="error_message">Внимание! Все данные из существующей БД будут уничтожены!</div>
		</td>
	</tr>
	<tr class="row_table"> 
		<td align="left" valign="top">
			<label for="create_base_id">Создать базу данных:<label>
		</td>
		<td valign="top">
			<input id="create_base_id" type="checkbox" class="input_not_border" name="create_database" value="on">Если база данных у Вас уже создана &mdash; не устанавливайте этот флажок.
		</td>
	</tr>
	</table>
		
	<div style="float: right">
	<input name="step4" value="Далее" type="submit" class="next" />
	</div>
	
	</form>
<?php 
bottom_title();
exit();
}
if (isset($_POST['step4']))
{
	head_title('Шаг 5: Результат предварительного конфигурирования');

	/* Если передано значение прав доступа к файлам */
	if (isset($_REQUEST['file_mode']))
	{
		$file_mode = octdec($_REQUEST['file_mode']);
	}
	else
	{
		$file_mode = octdec(FILE_MODE);
	}

	/* Если передано значение прав доступа к директориям */
	if (isset($_REQUEST['dir_mode']))
	{
		$dir_mode = octdec($_REQUEST['dir_mode']);
	}
	else
	{
		$dir_mode = octdec(DIR_MODE);
	}

	/* Устанавливаем права */
	set_chmod('../', $file_mode, $dir_mode);

	$flag = (($text = check_base_param()) && SaveToFile(CONFIG_db, $text)) ? true : false;

	?>
	<form method="POST" action="index.php">
	<table border="0" width="100%" cellpadding="2" cellspacing="2">
	<tr class="admin_table_title">
		<td width="220">Действие</td>
		<td>Результат</td>
		<td>Комментарий</td>
	</tr>
	<tr class="row_table">
		<td>Запись параметров БД</td>
		<td>
		<?php showbullet($flag ? 0 : 2, $flag ? "Успешно" : "Ошибка")?>
		</td>
		<td>
		<?php echo ($flag) ? '' : "Ошибка записи файла <b>/config_db.php</b>. Установите необходимые права доступа (например CHMOD 777) для директории, в которую установлена система."?>
		</td>
	</tr>
	<tr class="row_table">
		<td>Соединение с базой данных</td>
		<td>
		<?php 
		$connect_db = db_connect($_POST['host'], $_POST['user'], $_POST['password']);
		$flag = $flag && $connect_db;
		?>
		<?php showbullet($connect_db ? 0 : 2, $connect_db ? "Успешно" : "Ошибка")?>
		<td>
		<?php echo ($connect_db) ? '' : "Проверьте правильность данных для соединения с БД."?>
		</td>
	</tr>
	<?php 
	if (isset($_POST['create_database']) && ($_POST['create_database'] == 'on'))
	{
	?>
		<tr class="row_table">
			<td>Создание базы данных</td>
			<td>
			<?php 
			$create_db = create_base(trim($_POST['database']));
			$flag = $flag && $create_db;
			?>
			<?php showbullet($create_db ? 0 : 2, $create_db ? "Успешно" : "Ошибка")?>
			<td>
			<?php echo ($create_db) ? '' : 'У пользователя БД, с помощью которого происходит соединение, должно быть достаточно прав для создания БД. На большинстве виртуальных хостингов таких прав у пользователей БД нет. В таком случае рекомендуется создать базу данных из панели управления хостингом и не устанавливать галочку "Создать базу данных".'?>
			</td>
		</tr>
	<?php 
	}
	?>
	<tr class="row_table">
		<td>Выбор базы данных</td>
		<td>
		<?php 
		$select_db = select_base($connect_db, $_POST['database']);
		$flag = $flag && $select_db;
		?>
		<?php showbullet($select_db ? 0 : 2, $select_db ? "Успешно" : "Ошибка")?>
		</td>
		<td>
		<?php echo ($select_db) ? '' : 'Пользователь не имеет права на доступ к указанной БД или БД не существует.'?>
		</td>
	</tr>
	<tr class="row_table">
		<td>Загрузка и выполнение дампа SQL</td>
		<?php 
		// Сравнение версий
		if (version_compare(mysql_get_client_info(), "4.1", ">="))
		{
			$dumpfile = DUMP_file_41;
		}
		else
		{
			$dumpfile = DUMP_file_40;
		}
		?>
		<td>
		<?php 
		$e_b = Exec_Dump($dumpfile, $connect_db);
		$flag = $flag && $e_b;
		?>
		<?php showbullet($e_b ? 0 : 2, $e_b ? "Успешно" : "Ошибка. Версия MySQL " . mysql_get_client_info())?>
		</td>
		<td></td>
	</tr>
	</table>
	<?php 
	if ($flag)
	{
	?>
	<div style="float: right">
	<input name="step6" value="Далее" type="submit" class="next" />
	</div>
	<?php 
	}
	else
	{
	?>
	<div>
	<input name="step5" value="Назад" type="submit" class="prev" />
	</div>
	<?php 
	}
	?>

</table>
</form>
<?php 
bottom_title();
exit();
}
if (isset($_POST['step6']))
{
	head_title('Шаг 6: Завершение установки HostCMS');

	?>
	<p>Для завершения установки, перехода на главную страницу сайта и удаления системы инсталляции нажмите кнопку <strong>"Запуск"</strong>.</p>
	<p>Для перехода в раздел администрироания введите в адресную строку браузера <a href="/admin/" target="_blank">http://[ваш_сайт]/admin/</a>, предварительно заменив [ваш_сайт] на адрес сайта.</p>
	<p>Для входа в раздел администрирования используйте:
	<br />Login: <strong>admin</strong>
	<br />Пароль: <strong>admin</strong>
	</p>
	<p>Благодарим за выбор системы управления сайтом HostCMS!</p>
	       	
	<div style="float: right">
	<form method="POST" action="index.php">
	<input name="start" value="Запуск" type="submit" class="start" />
	</form>
	</div>
<?php 
bottom_title();
exit();
}
if (is_file(CONFIG_db) && !isset($_POST['step0']))
{
	head_title('Система управления HostCMS уже установлена!');

	?>
	<p>В случае повторной инсталляции рекомендуется производить установку в новую базу данных, в противном случае все данные в БД будут потеряны.
	<p>Для повторной установки системы управления сайтом HostCMS нажмите кнопку <strong>"Далее"</strong>, для начала работы нажмите кнопку <strong>"Запуск"</strong>.
	<p>При невозможности автоматически удалить инсталлятор, для продолжения работы удалите вручную с сайта директорию <b>/install/</b>.
	
	<table width="100%">
	<td align="left">
	<form method="POST" action="index.php">
	<input name="start" value="Запуск" type="submit" class="start" />
	</form>
	</td>
	<td align="right">
	<form method="POST" action="index.php">
	<input name="step0" value="Далее" type="submit" class="next" />
	</form>
	</td>
	</tr>
	</table>
<?php 
bottom_title();
exit();
}
elseif (file_exists('../'.'install.php'))
{
	head_title('Удалите файл install.php');
	?>
	<p>Для продолжения установки соединитесь с сервером по протоколу FTP и <strong>удалите файл install.php</strong>, размещенный в корне сайта.</p>
	
	<form method="POST" action="index.php">
		<div style="float: right">
		<input name="step0" value="Далее" type="submit" class="next" />
		</div>
	</form>    
<?php 
bottom_title();
}
else
{
	head_title('Шаг 1: Информация о системе управления');
	?>
	<p>Программа установки проверит соответствие Вашего программного обеспечения системным требованиям и произведет установку и первоначальное конфигурирование системы управления сайтом HostCMS.
	<p>В случае возникновения у Вас вопросов или неточностей в работе системы управления сайтом HostCMS, просим Вас обращаться в службу технической поддержки.
	Ответ на Ваш запрос будет дан в течение 12 часов по рабочим дням.
	<p>Благодарим за доверие и использование системы управления сайтом HostCMS.
	
	<form method="POST" action="index.php">
		<div style="float: right">
		<input name="step1" value="Далее" type="submit" class="next" />
		</div>
	</form>    
<?php 
bottom_title();
}
?>